QGIS Application - Bug report #15928

Calling plugin from standalone script has a bug because the use of progress bar

2016-12-02 03:09 AM - Juanma Font

Status: Closed

Priority: Normal
Assignee:

Category: Processing/Core

Affected QGIS version:2.18.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 23845

Description

| have a standalone script that call:

general.runalg("qgis:linestopolygons",inFile,outFile)

and only the first feature is write to outputfile.

| discover that if | comment out the line that says: "progress.setPercentage(int(current * total))" into the file

/usr/share/qgis/python/plugins/processing/algs/qgis/LinesToPolygons.py then all features are write to output file.

Tested in Linux Qgis 2.18.1

History

#1 - 2016-12-30 01:20 AM - Alexander Bruy
- Operating System deleted (Linux)
- Status changed from Open to Feedback

- Category set to Processing/Core

Not reproducible here

#2 - 2017-01-18 08:25 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback.
